CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

ContourLinesPerSurface Property (ActiveX)

2023-1-3 19:58| 发布者: admin| 查看: 448| 评论: 0|来自: AutoCAD

摘要: 指定对象上每个曲面的等值线(等值线)数。

指定对象上每个曲面的等值线(等值线)数。

支持的平台:仅窗口

签名

工 务 局:

object.ContourLinesPerSurface
对象

类型:数据库首选项

此属性适用的对象。

属性值

只读:

类型:整数

有效范围为 0 到 2047。

言论

此属性的初始值为 4。



ContourLinesPerSurface设置为 4 的圆环



“每个表面等高线”设置为 20 的圆环

注意:此属性的值存储在 ISOLINES 系统变量中。

例子

工 务 局:

Sub Example_ContourLinesPerSurface()
    ' This example returns the current setting of
    ' ContourLinesPerSurface. It then changes the value, and finally
    ' it resets the value back to the original setting.
    
    Dim currContourLinesPerSurface As Integer
    Dim newContourLinesPerSurface As Integer
        
    ' Retrieve the current ContourLinesPerSurface value
    currContourLinesPerSurface = ThisDrawing.preferences.ContourLinesPerSurface
    MsgBox "The current value for ContourLinesPerSurface is " & currContourLinesPerSurface, vbInformation, "ContourLinesPerSurface Example"
    
    ' Change the value for ContourLinesPerSurface
    newContourLinesPerSurface = 2001
    ThisDrawing.preferences.ContourLinesPerSurface = newContourLinesPerSurface
    MsgBox "The new value for ContourLinesPerSurface is " & newContourLinesPerSurface, vbInformation, "ContourLinesPerSurface Example"
    
    ' Reset ContourLinesPerSurface to its original value
    ThisDrawing.preferences.ContourLinesPerSurface = currContourLinesPerSurface
    MsgBox "The ContourLinesPerSurface value is reset to " & currContourLinesPerSurface, vbInformation, "ContourLinesPerSurface Example"
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_ContourLinesPerSurface()
    ;; This example returns the current setting of
    ;; ContourLinesPerSurface. It then changes the value, and finally
    ;; it resets the value back to the original setting.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    (setq preferences (vla-get-Preferences doc))
  
    ;; Retrieve the current ContourLinesPerSurface value
    (setq currContourLinesPerSurface (vla-get-ContourLinesPerSurface preferences))
    (alert (strcat "The current value for ContourLinesPerSurface is " (itoa currContourLinesPerSurface)))
    
    ;; Change the value for ContourLinesPerSurface
    (setq newContourLinesPerSurface 2001)
    (vla-put-ContourLinesPerSurface preferences newContourLinesPerSurface)
    (alert (strcat "The new value for ContourLinesPerSurface is " (itoa newContourLinesPerSurface)))
    
    ;; Reset ContourLinesPerSurface to its original value
    (vla-put-ContourLinesPerSurface preferences currContourLinesPerSurface)
    (alert (strcat "The ContourLinesPerSurface value is reset to " (itoa currContourLinesPerSurface)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 12:13

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部